create table C_BASE_CHARGING_ITEM
(
    ID               VARCHAR2(36),
    TENANCY_ID       VARCHAR2(36),
    DESCRIPTION      VARCHAR2(300),
    CATEGORY_ID      VARCHAR2(36),
    LIFE_STATUS      NUMBER(1),
    MIN_AMOUNT       NUMBER(10, 2),
    MAX_AMOUNT       NUMBER(10, 2),
    IS_FORMAT        NUMBER(1),
    NOTES            VARCHAR2(600),
    CREATED_BY       VARCHAR2(36),
    CREATED_ON       TIMESTAMP(6),
    UPDATED_BY       VARCHAR2(36),
    UPDATED_ON       TIMESTAMP(6),
    ACCOUNT_TYPE     NUMBER(1),
    FORMAT_UNIT      NUMBER(1),
    CURRENCY         VARCHAR2(36),
    GL_CODE          VARCHAR2(20),
    FLAT_RATE        NUMBER(1),
    TONS_STERE       NUMBER(5, 2),
    BYDAY            NUMBER(1),
    BYTON            NUMBER(1),
    BYAGENT          NUMBER(1),
    DERATE_TYPE      NUMBER(1),
    DERATE_DAY       NUMBER(3),
    UNIT             VARCHAR2(5),
    ENABLED          NUMBER(1),
    ITEM_CODE        VARCHAR2(20),
    ITEM_GROUP       VARCHAR2(20),
    AMOUNT_FORMAT    NUMBER(2),
    PAY_CODE         VARCHAR2(20),
    RECEIVE_CODE     VARCHAR2(20),
    EN_CODE          VARCHAR2(50),
    SOURCE_ITEM_CODE VARCHAR2(32),
    CURRENCY_RATIO   NUMBER(5),
    PARENT_CODE      VARCHAR2(32),
    DEL_FLAG         NUMBER(1)
)
/

INSERT INTO AG_DEV_ORACLE.C_BASE_CHARGING_ITEM (ID, TENANCY_ID, DESCRIPTION, CATEGORY_ID, LIFE_STATUS, MIN_AMOUNT, MAX_AMOUNT, IS_FORMAT, NOTES, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, ACCOUNT_TYPE, FORMAT_UNIT, CURRENCY, GL_CODE, FLAT_RATE, TONS_STERE, BYDAY, BYTON, BYAGENT, DERATE_TYPE, DERATE_DAY, UNIT, ENABLED, ITEM_CODE, ITEM_GROUP, AMOUNT_FORMAT, PAY_CODE, RECEIVE_CODE, EN_CODE, SOURCE_ITEM_CODE, CURRENCY_RATIO, PARENT_CODE, DEL_FLAG) VALUES ('4d1facc12ea44f7a95776861b8985e06', 'default', '港务费', 'c397ac732d5b432db877ed8645780582', 1, null, null, null, null, 'admin', TIMESTAMP '2021-08-12 09:38:30.000000', 'admin', TIMESTAMP '2021-08-12 09:39:21.000000', null, null, null, null, 0, null, null, null, null, null, null, '0', null, null, null, null, null, null, null, null, null, null, 0);
INSERT INTO AG_DEV_ORACLE.C_BASE_CHARGING_ITEM (ID, TENANCY_ID, DESCRIPTION, CATEGORY_ID, LIFE_STATUS, MIN_AMOUNT, MAX_AMOUNT, IS_FORMAT, NOTES, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, ACCOUNT_TYPE, FORMAT_UNIT, CURRENCY, GL_CODE, FLAT_RATE, TONS_STERE, BYDAY, BYTON, BYAGENT, DERATE_TYPE, DERATE_DAY, UNIT, ENABLED, ITEM_CODE, ITEM_GROUP, AMOUNT_FORMAT, PAY_CODE, RECEIVE_CODE, EN_CODE, SOURCE_ITEM_CODE, CURRENCY_RATIO, PARENT_CODE, DEL_FLAG) VALUES ('561ad04370354c5695109bf3725207ac', 'default', '港口设施保安费', 'c397ac732d5b432db877ed8645780582', 1, null, null, null, null, 'admin', TIMESTAMP '2021-08-12 09:40:31.000000', 'admin', TIMESTAMP '2022-06-02 17:22:54.000000', null, null, null, null, 0, null, null, null, null, null, null, '0', null, null, null, null, null, null, null, null, null, null, 0);
INSERT INTO AG_DEV_ORACLE.C_BASE_CHARGING_ITEM (ID, TENANCY_ID, DESCRIPTION, CATEGORY_ID, LIFE_STATUS, MIN_AMOUNT, MAX_AMOUNT, IS_FORMAT, NOTES, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, ACCOUNT_TYPE, FORMAT_UNIT, CURRENCY, GL_CODE, FLAT_RATE, TONS_STERE, BYDAY, BYTON, BYAGENT, DERATE_TYPE, DERATE_DAY, UNIT, ENABLED, ITEM_CODE, ITEM_GROUP, AMOUNT_FORMAT, PAY_CODE, RECEIVE_CODE, EN_CODE, SOURCE_ITEM_CODE, CURRENCY_RATIO, PARENT_CODE, DEL_FLAG) VALUES ('8847970953024d8fbe4a7741c6171bcb', 'QHD', 'testTenancy', '4ecc11f7edab4b3782302801d6d1aae2', 1, null, null, null, null, 'feeadmin', TIMESTAMP '2022-05-17 17:43:30.000000', 'feeadmin', TIMESTAMP '2022-05-17 17:43:30.000000', null, null, null, null, 0, null, null, null, null, null, null, '0', null, null, null, null, null, null, null, null, null, null, 0);
INSERT INTO AG_DEV_ORACLE.C_BASE_CHARGING_ITEM (ID, TENANCY_ID, DESCRIPTION, CATEGORY_ID, LIFE_STATUS, MIN_AMOUNT, MAX_AMOUNT, IS_FORMAT, NOTES, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, ACCOUNT_TYPE, FORMAT_UNIT, CURRENCY, GL_CODE, FLAT_RATE, TONS_STERE, BYDAY, BYTON, BYAGENT, DERATE_TYPE, DERATE_DAY, UNIT, ENABLED, ITEM_CODE, ITEM_GROUP, AMOUNT_FORMAT, PAY_CODE, RECEIVE_CODE, EN_CODE, SOURCE_ITEM_CODE, CURRENCY_RATIO, PARENT_CODE, DEL_FLAG) VALUES ('d49222901a464381ab592a273cc7772e', 'default', '港口作业包干费', 'c397ac732d5b432db877ed8645780582', 1, null, null, 0, null, 'admin', TIMESTAMP '2021-08-12 09:30:58.000000', 'admin', TIMESTAMP '2022-06-02 17:32:45.000000', 1, 2, null, null, 0, null, null, 0, null, null, null, '0', 1, null, null, 0, null, null, null, null, null, null, 0);
INSERT INTO AG_DEV_ORACLE.C_BASE_CHARGING_ITEM (ID, TENANCY_ID, DESCRIPTION, CATEGORY_ID, LIFE_STATUS, MIN_AMOUNT, MAX_AMOUNT, IS_FORMAT, NOTES, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, ACCOUNT_TYPE, FORMAT_UNIT, CURRENCY, GL_CODE, FLAT_RATE, TONS_STERE, BYDAY, BYTON, BYAGENT, DERATE_TYPE, DERATE_DAY, UNIT, ENABLED, ITEM_CODE, ITEM_GROUP, AMOUNT_FORMAT, PAY_CODE, RECEIVE_CODE, EN_CODE, SOURCE_ITEM_CODE, CURRENCY_RATIO, PARENT_CODE, DEL_FLAG) VALUES ('e4b8be89c4b74a03acad186786881479', 'default', 'demo1', '1264dde8bc4c4b1ebe9157e219b74e64', 1, null, null, null, null, 'admin', TIMESTAMP '2021-06-08 17:38:30.000000', 'admin', TIMESTAMP '2021-11-13 15:51:20.000000', null, null, null, null, 0, null, null, null, null, null, null, '0', null, 'demo1', null, null, null, null, null, null, null, null, 0);
INSERT INTO AG_DEV_ORACLE.C_BASE_CHARGING_ITEM (ID, TENANCY_ID, DESCRIPTION, CATEGORY_ID, LIFE_STATUS, MIN_AMOUNT, MAX_AMOUNT, IS_FORMAT, NOTES, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, ACCOUNT_TYPE, FORMAT_UNIT, CURRENCY, GL_CODE, FLAT_RATE, TONS_STERE, BYDAY, BYTON, BYAGENT, DERATE_TYPE, DERATE_DAY, UNIT, ENABLED, ITEM_CODE, ITEM_GROUP, AMOUNT_FORMAT, PAY_CODE, RECEIVE_CODE, EN_CODE, SOURCE_ITEM_CODE, CURRENCY_RATIO, PARENT_CODE, DEL_FLAG) VALUES ('f8199c8db73749c7b6c71f1ba1854509', 'default', 'dem', '1264dde8bc4c4b1ebe9157e219b74e64', 1, null, null, null, null, 'admin', TIMESTAMP '2022-02-08 16:55:27.000000', 'admin', TIMESTAMP '2022-02-08 17:28:32.000000', null, null, null, null, 0, null, null, null, null, null, null, '0', null, null, null, null, null, null, null, null, null, null, 0);
